* {
    box-sizing: border-box;
}

html {
    font-size: 14px;
}

@media screen and (min-height: 320px) {
    html {
        font-size: calc(14px + 8 * ((100vh - 320px) / 680));
    }
}

@media screen and (min-height: 1000px) {
    html {
        font-size: 22px;
    }
}

body {
    --bg-shade-1: #3d3d3d;
    --bg-shade-2: #383838;
    --bg-shade-3: #2f2f2f;

    display: flex;
    flex-direction: column;
    width: 100vw;
    height: 100vh;
    padding: 0;
    margin: 0;
    color: white;
    font-family: sans-serif;
}

.noselect {
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -webkit-user-drag: none;
    user-drag: none;
}

.bg-shade-1 {
    background: var(--bg-shade-1);
}

.bg-shade-2 {
    background: var(--bg-shade-2);
}

.bg-shade-3 {
    background: var(--bg-shade-3);
}

.browser-container {
    display: flex;
    flex-direction: column;
}

.toolbar {
    display: flex;
    flex-direction: row;
    height: 3rem;
    padding: .5rem 1rem;
    background: var(--bg-shade-3);
}

button, .button {
    /* border: 2px solid black;
    background: white; */
    border-radius: 5px;
    background: none;
    border: none;
    text-decoration: none;
}

button:disabled, .button:disabled {
    /* border: 1px dashed; */
    background: var(--bg-shade-2);
}

button:hover:not(:disabled), .button:hover:not(:disabled) {
    background: var(--bg-shade-2);
}


button:active:not(:disabled), .button:active:not(:disabled) {
    background: var(--bg-shade-1);
}

button.toggle-active, .button.toggle-active {
    background: var(--bg-shade-2);
}
